var albumBlock = {
		
	init: function(){ 
			this.tabSetup();
			//this.toggleOptions();
	},
	
	tabSetup: function(){
		$('ul#ccm-albumblock-tabs li a').each( function(num,el){ 
			el.onclick=function(){
				var pane=this.id.replace('ccm-albumblock-tab-','');
				albumBlock.showPane(pane);
			}
		});		
	},
	
	showPane: function(pane){
		$('ul#ccm-albumblock-tabs li').each(function(num,el){ $(el).removeClass('ccm-nav-active') });
		$('#ccm-albumblock-tab-'+pane).parent().addClass('ccm-nav-active');
		$('div.ccm-albumblockpane').each(function(num,el){ el.style.display='none'; });
		$('#ccm-albumblockpane-'+pane).css('display','block');
	},	
	
	toggleObject: function(object) {
		$("div#"+object).toggle();
	},
	
	chooseImg:function(){ 
		ccm_launchFileManager('&fType=' + ccmi18n_filemanager.FTYPE_IMAGE);
	},
	
	showImages:function(){
		$("#ccm-albumBlock-imgRows").show();
		$("#ccm-albumBlock-chooseImg").show();
		$("#ccm-albumBlock-fsRow").hide();
	},

	showFileSet:function(){
		$("#ccm-albumBlock-imgRows").hide();
		$("#ccm-albumBlock-chooseImg").hide();
		$("#ccm-albumBlock-fsRow").show();
	},

	selectObj:function(obj){
		if (obj.fsID != undefined) {
			$("#ccm-albumBlock-fsRow input[name=fsID]").attr("value", obj.fsID);
			$("#ccm-albumBlock-fsRow input[name=fsName]").attr("value", obj.fsName);
			$("#ccm-albumBlock-fsRow .ccm-albumBlock-fsName").text(obj.fsName);
		} else {
			this.addNewImage(obj.fID, obj.thumbnailLevel1, obj.height, obj.title);
		}
	},

	addImages:0, 
	addNewImage: function(fID, thumbPath, imgHeight, title) { 
		this.addImages--; //negative counter - so it doesn't compete with real slideviewerImgIds
		var webalbumImgId=this.addImages;
		var templateHTML=$('#imgRowTemplateWrap .ccm-albumBlock-imgRow').html().replace(/tempFID/g,fID);
		templateHTML=templateHTML.replace(/tempThumbPath/g, thumbPath);
		templateHTML=templateHTML.replace(/tempFilename/g, title);
		templateHTML=templateHTML.replace(/tempWebalbumImgId/g, webalbumImgId).replace(/tempHeight/g,imgHeight);
		
		var row = $('<div>').html(templateHTML).attr('id','ccm-albumBlock-imgRow'+parseInt(webalbumImgId)).addClass('ccm-albumBlock-imgRow');
		$('#ccm-albumBlock-imgRows ul').append($('<li>').append(row));
	},
	
	removeImage: function(fID){
		$('#ccm-albumBlock-imgRow'+fID).remove();
	},

	serialize:function(){
		var t = $('#ccm-albumBlock-imgRows ul li');
		return t.size();
	},	

	validate:function(){
		var failed=0; 
		
		if ($("#ccm-albumblockpane-imgs select[name=type]").val() == 'FILESET')
		{
			if ($("#ccm-albumBlock-fsRow input[name=fsID]").val() <= 0) {
				alert(ccm_t('choose-fileset'));
				$('#ccm-albumBlock-AddImg').focus();
				failed=1;
			}	
		} else {
			qIDs = this.serialize();
			if( qIDs < 1 ){
				alert(ccm_t('choose-min-2'));
				$('#ccm-albumBlock-AddImg').focus();
				failed=1;
			}	
		}
		
		if(failed){
			ccm_isBlockError=1;
			return false;
		}
		return true;
	} 

}


ccmValidateBlockForm = function() { return albumBlock.validate(); }
ccm_chooseAsset = function(obj) { albumBlock.selectObj(obj); }

$(function() {

	if ($("#ccm-albumblockpane-imgs select[name=type]").val() == 'FILESET') {
		$("#ccm-albumblockpane-imgs select[name=type]").val('FILESET');
		albumBlock.showFileSet();
	} else {
		$("#ccm-albumblockpane-imgs select[name=type]").val('CUSTOM');
		albumBlock.showImages();
	}

	$("#ccm-albumblockpane-imgs select[name=type]").change(function(){
		if (this.value == 'FILESET') {
			albumBlock.showFileSet();
		} else {
			albumBlock.showImages();
		}
	});
	
	var checkbox_clicked = false;
	$('#attributes input[type=checkbox]').click(function() {
		var cur_cl = $(this).attr('class');
		checkbox_clicked = true;
	});
	$('#attributes div').click(function() {
		if (!checkbox_clicked) {
			var child = $(this).children('input[type=checkbox]');
			var cur_cl = child.attr('class');
			if (child.attr('checked')) child.attr('checked', false);
			else child.attr('checked', true);
		}
	});

});