<?php   
	 
/*
 * Functions for showing your images (or imageset) with teh use of Highslide.
 * Within your Concrete 5 website with the use of Highslide http//:highslide.com
 * @author Wim Bouter <wim@dewebmakers.nl>
 */
	 
defined('C5_EXECUTE') or die(_("Access Denied."));

if (sizeof($images) > 0) 
{
	$first = true;
	
	echo '<style>';
	echo 'div[class^=\'stack\'], div[class^=\'stack\']:before, div[class^=\'stack\']:after { height:'.$images[0]['thumb']->height.'px;  width:'.$images[0]['thumb']->width.'px; }';
	echo '</style>';
	
	foreach($images as $img)  
	{			
		if ($first)
		{
			echo '<div class="highslide_stack">'."\n";
			echo '<div class="stacktwo">'."\n";
			echo '<a href="'.$img['full']->src.'" onclick="return hs.expand(this)" class="highslide">'."\n";
			echo '<img src="'.$img['thumb']->src.'" width="'.$img['thumb']->width.'" height="'.$img['thumb']->height.'" />'."\n";
			echo '</a>'."\n";
		}
		else
			echo('<a href="'.$img['full']->src.'" onclick="return hs.expand(this)" class="highslide"></a>'."\n");
			
		if (sizeof((array)$img['caption']) > 0)
		{
			echo '<div class="highslide-caption">'."\n";
			foreach($img['caption'] as $cap)
			{
				echo '<div class="hs_row">'."\n";
				if ($show_alttags_title) 
					echo '<div class="hs_row_title">'.$cap['title'].'</div>'."\n";
	
				echo '<div class="hs_row_content'.$img['class'].'">'.$cap['value'].'</div>'."\n";				
				echo '</div>'."\n";
			}	
			echo '</div>';
		}
		
		if ($first)
		{
			echo '</div>'."\n";
			echo '</div>'."\n";
			echo '<div class="hidden-container">'."\n";
			
			$first = false;
		}
	}
	if (!$first)
		echo '</div>'."\n";
}