<?php   
	 
/*
 * Functions for showing your images (or imageset) with teh use of Highslide.
 * Within your Concrete 5 website with the use of Highslide http//:highslide.com
 * @author Wim Bouter <wim@dewebmakers.nl>
 */
	 
defined('C5_EXECUTE') or die(_("Access Denied."));

if (sizeof($images) > 0) 
{
	echo '<div class="highslide_album highslide-gallery" id="highslide_album_'.$bID.'">'."\n";
	foreach($images as $img)  
	{			
		$gallery = ($is_gallery)?', config_'.$bID:'';
		
		echo '<a href="'.$img['full']->src.'" onclick="return hs.expand(this'.$gallery.')" class="highslide">'."\n";
		echo '<img src="'.$img['thumb']->src.'" width="'.$img['thumb']->width.'" height="'.$img['thumb']->height.'" />'."\n";
		echo '</a>'."\n";		
		if (sizeof((array)$img['caption']) > 0)
		{
			echo '<div class="highslide-caption">'."\n";
			foreach($img['caption'] as $cap)
			{
				echo '<div class="hs_row">'."\n";
				if ($show_alttags_title) 
					echo '<div class="hs_row_title">'.$cap['title'].'</div>'."\n";
	
				echo '<div class="hs_row_content'.$img['class'].'">'.$cap['value'].'</div>'."\n";				
				echo '</div>'."\n";
			}	
			echo '</div>'."\n";
		}		
	}
	echo '</div>';
	
	if ($pagination) 
	{
		echo "<div class=\"pagination\">\n".	
			 "<span class=\"pageLeft\">".$pagination->getPrevious()."</span>\n".		 
			 "<div class=\"pages\">".$pagination->getPages()."</div>\n".
			 "<span class=\"pageRight\">".$pagination->getNext()."</span>\n".				 
			 "</div>\n";	
	} 
}